Page MenuHomePhabricator

Add tags parameter to Wikibase APIs that edit entities
Closed, ResolvedPublic

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptAug 6 2019, 11:23 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 528221 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Add $tags parameter to {Form,Sense}Store::saveEntity()

https://gerrit.wikimedia.org/r/528221

Change 528222 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] Add $tags parameter to EntityStore, EditEntity

https://gerrit.wikimedia.org/r/528222

Change 528223 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] Add tags parameter to editing API modules

https://gerrit.wikimedia.org/r/528223

Change 528449 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Remove Phan suppress comments

https://gerrit.wikimedia.org/r/528449

Change 528221 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add $tags parameter to {Form,Sense}Store::saveEntity()

https://gerrit.wikimedia.org/r/528221

Change 529952 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] Test $tags parameter on API modules

https://gerrit.wikimedia.org/r/529952

Change 529961 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] Remove tags i18n for API modules not really affected

https://gerrit.wikimedia.org/r/529961

Change 529961 abandoned by Pablo Grass (WMDE):
Remove tags i18n for API modules not really affected

Reason:
Obsolete with PS11 in Ic96e1b1e674d7a2fd774521456e6a92bf333af5a (i.e. in fact adding tags to the 8 modules that were not affected before)

https://gerrit.wikimedia.org/r/529961

Change 528222 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add $tags parameter to EntityStore, EditEntity

https://gerrit.wikimedia.org/r/528222

Change 528223 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add tags parameter to editing API modules

https://gerrit.wikimedia.org/r/528223

Change 528449 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Remove Phan suppress comments

https://gerrit.wikimedia.org/r/528449

Change 529952 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Test $tags parameter on API modules

https://gerrit.wikimedia.org/r/529952

Pablo-WMDE updated the task description. (Show Details)

@Lydia_Pintscher @Lea_Lacroix_WMDE Not sure if/how you want to announce this but this is now in the main line, will likely make its way onto production next week.

\o/
Can we get a list of all the ones that now support tags and the ones that still don't so Léa can announce it?

Moving back to todo to get the list.

Pablo-WMDE added a comment.EditedAug 26 2019, 11:16 AM

Hi @Lydia_Pintscher & @Lea_Lacroix_WMDE,

the API modules which gained tag support through this story task are the following:

wbeditentity
wbsetaliases
wbsetdescription
wbsetlabel
wbsetsitelink
wbcreateclaim
wbremoveclaims
wbremovequalifiers
wbremovereferences
wbsetclaim
wbsetclaimvalue
wbsetqualifier
wbsetreference

Thank you, Pablo!
I'm moving this to done for the bridge hike and will handle the announcement with Léa on the camp board.

Envlh awarded a token.Aug 28 2019, 4:53 PM
Magnus added a subscriber: Magnus.Sep 2 2019, 8:45 AM

Added it for most of my tools, centrally. Works fine for distributed-game. for wdfist I get:

E1:The tag "wdfist" is not allowed to be manually applied

Now rolling the change back, until I know what tags I am allowed to use where and when.

https://www.mediawiki.org/wiki/Manual:Tags says "A complete list of all the available tags is displayed on Special:Tags. Users with the managechangetags user right – administrators by default – can use this special page to create and delete tags (see Help:Tags)."

Does this help?

Magnus added a comment.Sep 2 2019, 9:38 AM

https://www.mediawiki.org/wiki/Manual:Tags says "A complete list of all the available tags is displayed on Special:Tags. Users with the managechangetags user right – administrators by default – can use this special page to create and delete tags (see Help:Tags)."
Does this help?

It does, thanks. Are the tags Wikimedia-wide or site-wide? As in, if I use my enwiki admin rights to create tags there, will they be usable in wikidata?

Tags are wiki-specific – currently, only five are available for the tags= parameter in the API (you can see them in the API sandbox).

(Edit: OAuth consumer IDs are global, so I suppose all the OAuth tags are effectively global, except they’re only assigned on-demand.)

putnik added a subscriber: putnik.